body {
  background-image: url("images/nighttown.png");
  background-repeat: no-repeat;
  background-size: cover;
  color: rgb(0, 0, 0);
  font-size: 20pt;
  font-family: "Dongle", sans-serif;
  line-height: 0.8;
}

/* Nav */

.nav {
  background: rgb(10, 10, 10);
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
  padding: 0 1rem;
}

.nav__list {
  width: 100%;
  margin: 0;
}

.nav__item {
  padding: 0.5rem 2rem;
  border-bottom: 1px solid #222;
}

.nav__item > a {
  color: #d2d0db;
  transition: color 0.3s;
}

.nav__item > a:hover {
  color: #fff;
}

.nav__toggler {
  opacity: 0.5;
  transition: box-shadow 0.15s;
  cursor: pointer;
}

.nav.collapsible--expanded .nav__toggler {
  opacity: 1;
  box-shadow: 0 0 0 3px #666;
  border-radius: 5px;
}

.nav__brand {
  transform: translateY(5px);
}

@media screen and (min-width: 768px) {
  .nav__toggler {
    display: none;
  }

  .nav__list {
    width: auto;
    display: flex;
    font-size: 1.6rem;
    max-height: 100%;
    opacity: 1;
  }

  .nav__item {
    border: 0;
  }
}

/* Content */

.content {
  max-width: 1000px;
  margin: auto;
  padding-bottom: 50px;
  padding-top: 50px;
}

/* title */

.title {
  font-weight: bolder;
}

h1 {
  font-size: xx-large;
  font-weight: bolder;
  font-family: "Raleway", sans-serif;
}

/* Border */

.biotext {
  line-height: 2rem;
  border: 1px solid grey;
  padding: 20px;
  background-color: rgb(196, 196, 196);
  opacity: 0.9;
  font-family: "Raleway", sans-serif;
}

.startpicture {
  text-align: left;
}

.startpicture img {
  width: 500px;
  height: 280px;
  margin-right: 20px;
  float: left;
  padding-bottom: 7px;
}

/* footer */

.footer {
  background: #232323;
}

.footer a {
  color: rgb(170, 169, 169);
  transition: color 0.3s;
}

.footer a:hover {
  color: #fff;
}

.footer__section {
  padding: 2rem;
  border-bottom: 1px solid #3d3d3d;
}

.footer__section .list {
  margin: 0;
}

.footer__heading {
  text-transform: uppercase;
  font-weight: 600;
}

.footer__brand {
  margin-top: 5rem;
  text-align: center;
}

.footer__brand img {
  /* TODO: Consider refactoring this and applying it to all images. */
  width: 100%;
  max-width: 230px;
}

.footer__copyright {
  font-size: 2.1rem;
  color: rgb(255, 255, 255);
  opacity: 0.3;
}

@media screen and (min-width: 768px) {
  .footer__sections {
    grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
  }

  .footer .collapsible__chevron {
    display: none;
  }

  .footer .collapsible__content {
    opacity: 1;
    max-height: 100%;
  }

  .footer__brand {
    order: -1;
    margin-top: 4rem;
  }

  .footer__copyright {
    font-size: 1.5rem;
  }

  .footer__section {
    border: 0;
  }

  .footer__heading {
    font-size: 1.6rem;
  }
}

body::-webkit-scrollbar {
  width: 0.8em;
}

body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

body::-webkit-scrollbar-thumb {
  background-color: rgb(63, 63, 63);
}

/* grids */

.grid {
  display: grid;
}

@media screen and (min-width: 768px) {
  .grid--1x2 {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (min-width: 1024px) {
  .grid--1x3 {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* footer */

.footer {
  background: #232323;
}

.footer a {
  color: rgb(170, 169, 169);
  transition: color 0.3s;
}

.footer a:hover {
  color: #fff;
}

.footer__section {
  padding: 2rem;
  border-bottom: 1px solid #3d3d3d;
}

.footer__section .list {
  margin: 0;
}

.footer__heading {
  text-transform: uppercase;
  font-weight: 600;
}

.footer__brand {
  margin-top: 5rem;
  text-align: center;
}

.footer__brand img {
  /* TODO: Consider refactoring this and applying it to all images. */
  width: 100%;
  max-width: 230px;
}

.footer__copyright {
  font-size: 2.1rem;
  color: rgb(255, 255, 255);
  opacity: 0.3;
}

@media screen and (min-width: 768px) {
  .footer__sections {
    grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
  }

  .footer .collapsible__chevron {
    display: none;
  }

  .footer .collapsible__content {
    opacity: 1;
    max-height: 100%;
  }

  .footer__brand {
    order: -1;
    margin-top: 4rem;
  }

  .footer__copyright {
    font-size: 1.5rem;
  }

  .footer__section {
    border: 0;
  }

  .footer__heading {
    font-size: 1.6rem;
  }
}
